Bug 165079 - gphoto fails to import from Olympus C-2040Z
gphoto fails to import from Olympus C-2040Z
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gphoto2 (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-04 02:41 EDT by Florin Andrei
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-16 04:38:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florin Andrei 2005-08-04 02:41:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
I plug the camera into USB, a windows pops up asking me if I want to import pictures.
I click "Import Photos"
Another identical window pops up with the same question (which is dismiss by clicking Cancel) plus another window which is the "Import Photos" dialog from gthumb.
I tell it to import photos, but then it says there are no pictures found.

The camera is correctly detected as Olympus C-2040Z.

What can I do to help you troubleshoot it?

Version-Release number of selected component (if applicable):
gphoto2-2.1.6-1.1

How reproducible:
Always

Steps to Reproduce:
1. see above
2.
3.
  

Actual Results:  gthumb should import photos

Expected Results:  it doesn't

Additional info:
Comment 1 Lars G 2005-08-11 11:47:06 EDT
for me its quite the same.

i have a canon a400 usb camera attached.
now when i turn it on, the import window appears saying:

"An error occurred in the io-library ('Could not claim the USB device'): Could
not claim interface 0 (Operation not permitted). Make sure no other program or
kernel module (such as sdc2xx, stv680, spca50x) is using the device and you have
read/write access to the device."


/sbin/lsusb tells correctly:
Bus 001 Device 006: ID 04a9:30b7 Canon, Inc.

when i start gthumb *as root* and import the photos, it *works OK* for me.

can't tell when this bad behavior started, but it worked ok a month before as a
normal user.

btw. this is all with using latest rawhide.
Comment 2 Radek Vokal 2005-12-16 04:38:38 EST
This issue should be gone with the latest rawhide package, which is now using
HAL and udev rules. 

Note You need to log in before you can comment on or make changes to this bug.